org.eclipse.jgit.errors

## Class LargeObjectException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.eclipse.jgit.errors.LargeObjectException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  LargeObjectException.ExceedsByteArrayLimit, LargeObjectException.ExceedsLimit, LargeObjectException.OutOfMemory

    public class LargeObjectException
    extends RuntimeException

An object is too big to load into memory as a single byte array.

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `LargeObjectException.ExceedsByteArrayLimit` Object size exceeds JVM limit of 2 GiB per byte array.
`static class` `LargeObjectException.ExceedsLimit` Object size exceeds the caller's upper limit.
`static class` `LargeObjectException.OutOfMemory` An error caused by the JVM being out of heap space.

### Constructor Summary

Constructors
Constructor and Description
`LargeObjectException()` Create a large object exception, where the object isn't known.
`LargeObjectException(AnyObjectId id)` Create a large object exception, naming the object that is too big.

### Method Summary

Methods
`String` `getMessage()`
`ObjectId` `getObjectId()`
`protected String` `getObjectName()`
`void` `setObjectId(AnyObjectId id)` Set the identity of the object, if its not already set.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### LargeObjectException

    public LargeObjectException()

Create a large object exception, where the object isn't known.

#### LargeObjectException

    public LargeObjectException(AnyObjectId id)

Create a large object exception, naming the object that is too big.

Parameters:
  `id` - identity of the object that is too big to be loaded as a byte array in this JVM.

### Method Detail

#### getObjectId

    public ObjectId getObjectId()

Returns:
  identity of the object that is too large; may be null.

#### getObjectName

    protected String getObjectName()

Returns:
  either the hex encoded name of the object, or 'unknown object'.

#### setObjectId

    public void setObjectId(AnyObjectId id)

Set the identity of the object, if its not already set.

Parameters:
  `id` - the id of the object that is too large to process.

#### getMessage

    public String getMessage()

Overrides:
  `getMessage` in class `Throwable`